<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<!--
  Upon trigger (either property change, data on optional input port,
  or meta data on data port), the
  triggered sampler will gate N samples followed by discontinuity.
-->
<componentspec>
  <property name="bypass" type="bool" writable="true" default="false"
    description="When ``true``, trigger functionality is disabled: all messages received on input are routed straight to output."/>
  <property name="capture_length" type="ulong" writable="true" default="1"
    description="Controls the number of samples in each capture."/>
  <property name="send_flush" type="bool" writable="true" default="false"
    description="When ``true``, a flush is sent after the samples and before the discontinuity."/>
  <property name="capture_on_meta" type="bool" writable="true" default="true"
    description="When ``true``, a capture is triggered on receipt of a metadata message on ``input``."/>
  <property name="capture_single" type="bool" writable="true" volatile="true" default="false"
    description="Writing ``true`` triggers a single capture."/>
  <property name="capture_continuous" type="bool" writable="true" default="false"
    description="When ``true``, back-to-back captures will be performed."/>
  <property name="capture_in_progress" type="bool" writable="false" volatile="true"
    description="Returns ``true`` when one or more captures are pending or in progress from any source."/>
  <!-- LINT EXCEPTION: xml_012: -1: Capture_in_progress does not require
       a default value, as it's not writable -->
  <!-- Samples are captured from this port. -->
  <port name="input" producer="false" protocol="ulong_timed_sample-prot"/>
  <!-- A capture is triggered when any message is received on this port. -->
  <port name="trigger" producer="false" optional="true"/>
  <!-- Captured samples are output on this port. -->
  <port name="output" producer="true" protocol="ulong_timed_sample-prot"/>
</componentspec>
